=== added file 'lib/lp/registry/help/karma.html'
--- lib/lp/registry/help/karma.html	1970-01-01 00:00:00 +0000
+++ lib/lp/registry/help/karma.html	2011-05-19 13:41:24 +0000
@@ -0,0 +1,38 @@
+<html>
+  <head>
+    <title>What is karma?</title>
+    <link rel="stylesheet" type="text/css"
+          href="/+icing/yui/cssreset/reset.css" />
+    <link rel="stylesheet" type="text/css"
+          href="/+icing/yui/cssfonts/fonts.css" />
+    <link rel="stylesheet" type="text/css"
+          href="/+icing/yui/cssbase/base.css" />
+  </head>
+  <body>
+    <h1>What is karma?</h1>
+
+    <p>
+      Karma is one of the ways in which you can get a feel for the work 
+      that someone has done recently in Launchpad.
+    </p>
+    
+    <p>
+      Almost everything you do in Launchpad helps you to build karma. For 
+      example: registering bugs, translating strings and answering support 
+      requests. Different types of work earn different levels of karma. 
+      Also, the amount of karma a particular action gives you fades over 
+      time.
+    </p>
+    
+    <p>
+      Karma is only attributed for work done in Launchpad and does not 
+      apply to items imported from other sources.
+    </p>
+
+    <p>
+      <a href="https://help.launchpad.net/YourAccount/Karma" target="top">Read about how Launchpad calculates karma</a>.
+    </p>
+
+
+  </body>
+</html>

=== modified file 'lib/lp/registry/stories/person/xx-person-home.txt'
--- lib/lp/registry/stories/person/xx-person-home.txt	2010-08-27 22:40:36 +0000
+++ lib/lp/registry/stories/person/xx-person-home.txt	2011-05-25 15:16:22 +0000
@@ -145,7 +145,7 @@
 
     >>> browser.open('http://launchpad.dev/~mark')
     >>> print extract_text(find_tag_by_id(browser.contents, 'karma'))
-    Karma: 130
+    Karma: 130 Karma help
 
 Negative Ubuntu Code of Conduct signatory status is only displayed for
 yourself; others won't see it:

=== modified file 'lib/lp/registry/templates/person-karma.pt'
--- lib/lp/registry/templates/person-karma.pt	2009-09-08 14:56:59 +0000
+++ lib/lp/registry/templates/person-karma.pt	2011-05-19 13:17:54 +0000
@@ -13,7 +13,7 @@
       <p class="application-summary">
         This is a summary of the Launchpad karma earned by
         <span tal:replace="context/displayname" />, organized by activity
-        type.
+        type. (<a href="/+help/karma.html" target="help">What is karma?</a>)
       </p>
 
       <p id="no-karma" tal:condition="not: view/has_karma">

=== modified file 'lib/lp/registry/templates/person-portlet-contact-details.pt'
--- lib/lp/registry/templates/person-portlet-contact-details.pt	2010-12-01 22:05:51 +0000
+++ lib/lp/registry/templates/person-portlet-contact-details.pt	2011-05-19 13:17:54 +0000
@@ -198,6 +198,8 @@
       <dd><a id="karma-total"
              tal:attributes="href overview_menu/karma/url"
              tal:content="context/karma">342</a>
+          <a target="help" href="/+help/karma.html" class="sprite maybe">&nbsp;
+          <span class="invisible-link">Karma help</span></a>
       </dd>
     </dl>
   </div>

